/***********************************************************
 Int2IP:
 Convert a decimal number to an IP address.
 Displays the IP address in decimal, hex, and dotted formats.
 Copyright 2002-2005 N. Krawetz
 ***********************************************************/
#include <stdlib.h>
#include <stdio.h>

int main (int argc, char *argv[])
{
  int i;
  long Num;

  if (argc < 2)
    {
    printf("Usage: %s 12345678\n",argv[0]);
    exit(-1);
    }

  Num=atoi(argv[1]);
  printf("%ld = %08lx = %d.%d.%d.%d\n",Num,(long)Num,
	(Num >> 24)&0xff, (Num >> 16)&0xff, (Num >> 8)&0xff, (Num)&0xff);
} /* main() */

