#!/bin/sh
# Copyright 2005 N. Krawetz.
# Released as open source.
# No warranty expressed or implied.

# For each root server
for root in a b c d e f g h i j k l m ; do
  echo "$root.root-servers.net"
  # for each gTLD
  for gtld in com edu gov net org mil arpa \
    int aero biz coop info museum name pro ; do
    # List the gTLDs know by the root server
    (
    host -t ns $gtld $root.root-servers.net | grep -v ":" | grep server
    ) | sort
  done
done
